Debian Bug report logs - #612893
fluxbox: Keypresses are lost after changing workspaces

version graph

Package: fluxbox; Maintainer for fluxbox is Dmitry E. Oboukhov <unera@debian.org>; Source for fluxbox is src:fluxbox.

Reported by: Christophe TROESTLER <Christophe.Troestler@umons.ac.be>

Date: Fri, 11 Feb 2011 11:33:05 UTC

Severity: normal

Found in versions fluxbox/1.1.1+git20100908.df2f51b-2, fluxbox/1.3.1~dfsg1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christophe.Troestler@umons.ac.be, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Fri, 11 Feb 2011 11:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <Christophe.Troestler@umons.ac.be>:
New Bug report received and forwarded. Copy sent to Christophe.Troestler@umons.ac.be, unera@debian.org (Dmitry E. Oboukhov). (Fri, 11 Feb 2011 11:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fluxbox: Keypresses are lost after changing workspaces
Date: Fri, 11 Feb 2011 12:09:13 +0100 (CET)
Package: fluxbox
Version: 1.1.1+git20100908.df2f51b-2
Severity: important

I have keyboard shortcuts for changing workspaces.  After moving to a
different workspace, the first key-press is sometimes lost.  I believe
this is because the window under the cursor (I use focus follow mouse
with auto-raise) does not receive the proper focus.  In the same vein,
after switching workspaces, moving the cursor to a different window
does not focus it.  These behaviors are not systematic but happen
often enough to be rather annoying.

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'unstable'), (300, 'stable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fluxbox depends on:
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.4.2-2.1        FreeType 2 font engine, shared lib
ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
ii  libgcc1                 1:4.4.5-10       GCC support library
ii  libice6                 2:1.0.7-1        X11 Inter-Client Exchange library
ii  libimlib2               1.4.2-8+b2       powerful image loading and renderi
ii  libsm6                  2:1.2.0-1        X11 Session Management library
ii  libstdc++6              4.4.5-10         The GNU Standard C++ Library v3
ii  libx11-6                2:1.4.1-4        X11 client-side library
ii  libxext6                2:1.1.2-1        X11 miscellaneous extension librar
ii  libxft2                 2.1.14-2         FreeType-based font drawing librar
ii  libxinerama1            2:1.1.1-1        X11 Xinerama extension library
ii  libxpm4                 1:3.5.9-1        X11 pixmap library
ii  libxrandr2              2:1.3.1-1        X11 RandR extension library
ii  libxrender1             1:0.9.6-1        X Rendering Extension client libra
ii  menu                    2.1.44           generates programs menu for all me
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages fluxbox recommends:
ii  xfonts-terminus               4.30-2     Fixed-width fonts for fast reading

Versions of packages fluxbox suggests:
pn  fbdesk                        <none>     (no description available)
pn  fbpager                       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Fri, 11 Feb 2011 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to unera@debian.org (Dmitry E. Oboukhov). (Fri, 11 Feb 2011 12:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 612893@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: 612893@bugs.debian.org, Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Fri, 11 Feb 2011 07:50:46 -0500
On Fri, Feb 11, 2011 at 6:09 AM, Christophe TROESTLER
<Christophe.Troestler@umons.ac.be> wrote:
> Package: fluxbox
> Version: 1.1.1+git20100908.df2f51b-2
> Severity: important
>
> I have keyboard shortcuts for changing workspaces.  After moving to a
> different workspace, the first key-press is sometimes lost.  I believe
> this is because the window under the cursor (I use focus follow mouse
> with auto-raise) does not receive the proper focus.  In the same vein,
> after switching workspaces, moving the cursor to a different window
> does not focus it.  These behaviors are not systematic but happen
> often enough to be rather annoying.

I can't reproduce this, can you be a bit more specific with the report
( sorry ) and let me avoid tagging it as moreinfo / workshere ?

>
> -- System Information:
> Debian Release: 6.0
>  APT prefers testing
>  APT policy: (900, 'testing'), (400, 'unstable'), (300, 'stable'), (100, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.37 (SMP w/8 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages fluxbox depends on:
> ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
> ii  libfontconfig1          2.8.0-2.1        generic font configuration library
> ii  libfreetype6            2.4.2-2.1        FreeType 2 font engine, shared lib
> ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
> ii  libgcc1                 1:4.4.5-10       GCC support library
> ii  libice6                 2:1.0.7-1        X11 Inter-Client Exchange library
> ii  libimlib2               1.4.2-8+b2       powerful image loading and renderi
> ii  libsm6                  2:1.2.0-1        X11 Session Management library
> ii  libstdc++6              4.4.5-10         The GNU Standard C++ Library v3
> ii  libx11-6                2:1.4.1-4        X11 client-side library
> ii  libxext6                2:1.1.2-1        X11 miscellaneous extension librar
> ii  libxft2                 2.1.14-2         FreeType-based font drawing librar
> ii  libxinerama1            2:1.1.1-1        X11 Xinerama extension library
> ii  libxpm4                 1:3.5.9-1        X11 pixmap library
> ii  libxrandr2              2:1.3.1-1        X11 RandR extension library
> ii  libxrender1             1:0.9.6-1        X Rendering Extension client libra
> ii  menu                    2.1.44           generates programs menu for all me
> ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime
>
> Versions of packages fluxbox recommends:
> ii  xfonts-terminus               4.30-2     Fixed-width fonts for fast reading
>
> Versions of packages fluxbox suggests:
> pn  fbdesk                        <none>     (no description available)
> pn  fbpager                       <none>     (no description available)
>
> -- no debconf information
>
>
>
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Fri, 11 Feb 2011 14:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <debian00+list@aliceadsl.fr>:
Extra info received and forwarded to list. Copy sent to unera@debian.org (Dmitry E. Oboukhov). (Fri, 11 Feb 2011 14:03:07 GMT) Full text and rfc822 format available.

Message #15 received at 612893@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <debian00+list@aliceadsl.fr>
To: paultag@ubuntu.com
Cc: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Fri, 11 Feb 2011 14:54:22 +0100 (CET)
Hi,

On Fri, 11 Feb 2011 07:50:46 -0500, Paul Tagliamonte wrote:
>
> I can't reproduce this, can you be a bit more specific with the rep 
> ort ( sorry ) and let me avoid tagging it as moreinfo / workshere ?

Here is a way that usually triggers it.  Have a window focused on des 
ktop 1 (Emacs in my case) i.e., with the mouse cursor on it (I recall 
that I use sloppy focus).  Switch to desktop 2 and move the mouse ou 
tside the original window (focusing a window on desktop 2).  Come bac 
k to desktop 1.  The window under the mouse cursor does not get focus 
[IMHO, it should] and (sometimes, not always, don't know why) the ol 
d Emacs window that still has the focus (despite the mouse pointer be 
ing on another window) looses the first key stroke.

This problem does not exist with the stable version.

Let me know how I can help more ― unfortunately I have not found a wa 
y to always reproduce it.  I can try to record it if it is of any use 
.

Thanks for you quick reply,
C.




Information forwarded to debian-bugs-dist@lists.debian.org, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Fri, 11 Feb 2011 15:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <debian00+list@aliceadsl.fr>:
Extra info received and forwarded to list. Copy sent to unera@debian.org (Dmitry E. Oboukhov). (Fri, 11 Feb 2011 15:30:07 GMT) Full text and rfc822 format available.

Message #20 received at 612893@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <debian00+list@aliceadsl.fr>
To: paultag@ubuntu.com, 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Fri, 11 Feb 2011 16:26:20 +0100 (CET)
This problem is also occurs quite often with pidgin and does not 
depend of the focus model (click to focus does not always properly 
"re-grab" the keyboard after a desktop change, loosing the first 
keystroke).




Information forwarded to debian-bugs-dist@lists.debian.org, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Mon, 14 Feb 2011 18:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to unera@debian.org (Dmitry E. Oboukhov). (Mon, 14 Feb 2011 18:00:11 GMT) Full text and rfc822 format available.

Message #25 received at 612893@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: Christophe TROESTLER <debian00+list@aliceadsl.fr>
Cc: 612893@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Mon, 14 Feb 2011 12:58:29 -0500
Severity 612893 normal
thanks

I'm going to lower the severity on this, for the time being. I've got
upstream to take a look, one of the @fluxboxers has the same issue, so
they know about it.

I'll see if we can't track this down. It's annoying for sure, but does
not cause any serious issues :)

Thanks so much for the bug report!
Paul

On Fri, Feb 11, 2011 at 10:26 AM, Christophe TROESTLER
<debian00+list@aliceadsl.fr> wrote:
> This problem is also occurs quite often with pidgin and does not depend of
> the focus model (click to focus does not always properly "re-grab" the
> keyboard after a desktop change, loosing the first keystroke).
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Severity set to 'normal' from 'important' Request was from Paul Tagliamonte <paultag@ubuntu.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 18:00:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Mon, 14 Feb 2011 18:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <debian00+list@aliceadsl.fr>:
Extra info received and forwarded to list. Copy sent to unera@debian.org (Dmitry E. Oboukhov). (Mon, 14 Feb 2011 18:09:11 GMT) Full text and rfc822 format available.

Message #32 received at 612893@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <debian00+list@aliceadsl.fr>
To: paultag@ubuntu.com
Cc: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Mon, 14 Feb 2011 19:05:24 +0100 (CET)
On Mon, 14 Feb 2011 12:58:29 -0500, Paul Tagliamonte wrote:
> 
> Severity 612893 normal
> thanks
> 
> I'm going to lower the severity on this, for the time being. I've got
> upstream to take a look, one of the @fluxboxers has the same issue, so
> they know about it.

OK.  Thanks for your work.  (I went back to the package in stable for
the time being.)

C. 




Information forwarded to debian-bugs-dist@lists.debian.org, agluepker@web.de, unera@debian.org (Dmitry E. Oboukhov):
Bug#612893; Package fluxbox. (Tue, 08 Mar 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Glüpker <agluepker@web.de>:
Extra info received and forwarded to list. Copy sent to agluepker@web.de, unera@debian.org (Dmitry E. Oboukhov). (Tue, 08 Mar 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #37 received at 612893@bugs.debian.org (full text, mbox):

From: André Glüpker <agluepker@web.de>
To: Debian Bug Tracking System <612893@bugs.debian.org>
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Tue, 08 Mar 2011 17:28:50 +0100
Package: fluxbox
Version: 1.3.1~dfsg1-1
Followup-For: Bug #612893

Same problem here, but only if i change the workspace with keys (Mod4+1).
The window has focus, but the cursor isnt blinking. One keystroke -> cursor blinks.
This doesn't happen, if i change the workspace with the mousewheel on the desktop.
Just wanted to share that detail :)

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37.2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fluxbox depends on:
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.4.4-1          FreeType 2 font engine, shared lib
ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
ii  libgcc1                 1:4.5.2-4        GCC support library
ii  libice6                 2:1.0.7-1        X11 Inter-Client Exchange library
ii  libimlib2               1.4.2-8+b2       powerful image loading and renderi
ii  libsm6                  2:1.2.0-1        X11 Session Management library
ii  libstdc++6              4.5.2-4          The GNU Standard C++ Library v3
ii  libx11-6                2:1.4.1-5        X11 client-side library
ii  libxext6                2:1.2.0-2        X11 miscellaneous extension librar
ii  libxft2                 2.2.0-2          FreeType-based font drawing librar
ii  libxinerama1            2:1.1.1-1        X11 Xinerama extension library
ii  libxpm4                 1:3.5.9-1        X11 pixmap library
ii  libxrandr2              2:1.3.1-1        X11 RandR extension library
ii  libxrender1             1:0.9.6-1        X Rendering Extension client libra
ii  menu                    2.1.44           generates programs menu for all me
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages fluxbox recommends:
ii  feh                           1.11.2-1   imlib2 based image viewer
pn  xfonts-terminus               <none>     (no description available)

Versions of packages fluxbox suggests:
pn  fbautostart                   <none>     (no description available)
pn  fbdesk                        <none>     (no description available)
pn  fbpager                       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 07 Apr 2011 20:57:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Hodek <roman@hodek.net>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 07 Apr 2011 20:57:33 GMT) Full text and rfc822 format available.

Message #42 received at 612893@bugs.debian.org (full text, mbox):

From: Roman Hodek <roman@hodek.net>
To: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Thu, 07 Apr 2011 20:49:30 +0200
Just for the records: I have this effect, too, and I consider it 
relatively annoying...

For example, I change workspace (by key combination, too, BTW) and start 
typing in some shell. And then often one (or even two) chars are lost 
and I get a "command not found", if I don't double-check what I've typed.

I could fix it for now by downgrading to the squeeze version and putting 
that on hold, but that's not a good solution on the long run, IMHO.

Roman




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 14 Apr 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andre Naujoks <nautsch2@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 14 Apr 2011 10:27:09 GMT) Full text and rfc822 format available.

Message #47 received at 612893@bugs.debian.org (full text, mbox):

From: Andre Naujoks <nautsch2@googlemail.com>
To: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing
Date: Thu, 14 Apr 2011 12:24:26 +0200
Hi.

I have the same issues here.

For me its almost always two keypresses lost. It took me a while to pin
this error to fluxbox but I do not have those problems in  gnome for
example.

This is not *relatively* annoying but _really_ annoying.

As an addition: It does not happen, when I just switch around
workspaces, but only if I linger/work some time in one workspace and
then switch to another one. It isn't application dependent either. I am
not using sloppy focus or anything (I have to click or Alt+TAB to focus
a window).

Regards
  Andre





Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 14 Apr 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 14 Apr 2011 11:39:05 GMT) Full text and rfc822 format available.

Message #52 received at 612893@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: Andre Naujoks <nautsch2@googlemail.com>, 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing
Date: Thu, 14 Apr 2011 07:36:17 -0400
ACK'd.

Upstream is aware of this problem.

IIRC there is a bug on this already. I'll check when I have a second
and mark this a dupe.

Thanks for helping make Debian better!

Paul

On Thu, Apr 14, 2011 at 6:24 AM, Andre Naujoks <nautsch2@googlemail.com> wrote:
> Hi.
>
> I have the same issues here.
>
> For me its almost always two keypresses lost. It took me a while to pin
> this error to fluxbox but I do not have those problems in  gnome for
> example.
>
> This is not *relatively* annoying but _really_ annoying.
>
> As an addition: It does not happen, when I just switch around
> workspaces, but only if I linger/work some time in one workspace and
> then switch to another one. It isn't application dependent either. I am
> not using sloppy focus or anything (I have to click or Alt+TAB to focus
> a window).
>
> Regards
>  Andre
>
>
>
>
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 14 Apr 2011 11:42:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 14 Apr 2011 11:42:25 GMT) Full text and rfc822 format available.

Message #57 received at 612893@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@ubuntu.com>
To: Andre Naujoks <nautsch2@googlemail.com>, 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing
Date: Thu, 14 Apr 2011 07:38:19 -0400
Oh my gosh! I'm sorry, I thought this was a new bug.

That's what I get for filing moreinfo on a bug at 7:30 AM :)

Carry on!

Paul

On Thu, Apr 14, 2011 at 7:36 AM, Paul Tagliamonte <paultag@ubuntu.com> wrote:
> ACK'd.
>
> Upstream is aware of this problem.
>
> IIRC there is a bug on this already. I'll check when I have a second
> and mark this a dupe.
>
> Thanks for helping make Debian better!
>
> Paul
>
> On Thu, Apr 14, 2011 at 6:24 AM, Andre Naujoks <nautsch2@googlemail.com> wrote:
>> Hi.
>>
>> I have the same issues here.
>>
>> For me its almost always two keypresses lost. It took me a while to pin
>> this error to fluxbox but I do not have those problems in  gnome for
>> example.
>>
>> This is not *relatively* annoying but _really_ annoying.
>>
>> As an addition: It does not happen, when I just switch around
>> workspaces, but only if I linger/work some time in one workspace and
>> then switch to another one. It isn't application dependent either. I am
>> not using sloppy focus or anything (I have to click or Alt+TAB to focus
>> a window).
>>
>> Regards
>>  Andre
>>
>>
>>
>>
>>
>
>
>
> --
> All programmers are playwrights, and all computers are lousy actors.
>
> #define sizeof(x) rand()
> :wq
>



-- 
All programmers are playwrights, and all computers are lousy actors.

#define sizeof(x) rand()
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Mon, 16 May 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Cuellar Valdes <herrsergio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Mon, 16 May 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #62 received at 612893@bugs.debian.org (full text, mbox):

From: Sergio Cuellar Valdes <herrsergio@gmail.com>
To: Debian Bug Tracking System <612893@bugs.debian.org>
Subject: Re: Same problem
Date: Mon, 16 May 2011 11:18:18 -0500
Package: fluxbox
Version: 1.3.1~dfsg1-1
Followup-For: Bug #612893

I have the same problem for a while, and I have to say that for me it is
really annoying. If I switch windows with Ctrl+Tab, I have to click the
window in order to get the focus of it. Even with browser tabs, the
problem is the same.

Cheers,
Sergio Cuéllar


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages fluxbox depends on:
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libfontconfig1          2.8.0-2.2        generic font configuration library
ii  libfreetype6            2.4.4-1          FreeType 2 font engine, shared lib
ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
ii  libgcc1                 1:4.4.5-12       GCC support library
ii  libice6                 2:1.0.7-1        X11 Inter-Client Exchange library
ii  libimlib2               1.4.4-1          powerful image loading and renderi
ii  libsm6                  2:1.2.0-1        X11 Session Management library
ii  libstdc++6              4.6.0-2          The GNU Standard C++ Library v3
ii  libx11-6                2:1.4.3-1        X11 client-side library
ii  libxext6                2:1.2.0-2        X11 miscellaneous extension librar
ii  libxft2                 2.2.0-2          FreeType-based font drawing librar
ii  libxinerama1            2:1.1.1-1        X11 Xinerama extension library
ii  libxpm4                 1:3.5.9-1        X11 pixmap library
ii  libxrandr2              2:1.3.1-1        X11 RandR extension library
ii  libxrender1             1:0.9.6-1        X Rendering Extension client libra
ii  menu                    2.1.45           generates programs menu for all me
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages fluxbox recommends:
pn  feh                           <none>     (no description available)
ii  xfonts-terminus               4.30-2     Fixed-width fonts for fast reading

Versions of packages fluxbox suggests:
pn  fbautosta <none>                         (no description available)
ii  fbdesk    1.4.1-5                        desktop icons for window managers
ii  fbpager   0.1.5~git20090221.1.8e0927e6-1 a pager application for the Fluxbo

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Sat, 04 Jun 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Stoddard <dstoddard2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Sat, 04 Jun 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #67 received at 612893@bugs.debian.org (full text, mbox):

From: David Stoddard <dstoddard2@gmail.com>
To: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Sat, 4 Jun 2011 01:52:59 -0400
[Message part 1 (text/plain, inline)]
I've had this same, annoying problem too for awhile. Having to backspace and
retype commands so often slows me down while I'm working.

I checked out the fluxbox git repository as of a few minutes ago ( git://
git.fluxbox.org/fluxbox.git ), compiled and installed that, but the problem
remained.

No one else has mentioned it here, but in my opinion this looks a lot like
issue 3190205 in the sourceforge fluxbox bug system:
http://sourceforge.net/tracker/?func=detail&aid=3190205&group_id=35398&atid=413960

In the comments of that bug someone mentions using wmctrl to switch desktops
as a workaround. I've tried it and it's working well. The steps I had to
take are:
1) Install the wmctrl package
2) Alter my .fluxbox/keys file.

Change key bindings:

# change to a specific workspace
Mod1 F1 :Workspace 1
Mod1 F2 :Workspace 2
Mod1 F3 :Workspace 3
Mod1 F4 :Workspace 4

To:

# change to a specific workspace
Mod1 F1 :ExecCommand wmctrl -s 0
Mod1 F2 :ExecCommand wmctrl -s 1
Mod1 F3 :ExecCommand wmctrl -s 2
Mod1 F4 :ExecCommand wmctrl -s 3

3) Restart fluxbox or reload configuration


This feels like a race condition bug to me, since it's so reproducible when
hitting the keys quickly. Hopefully someone can find the problem :)

-Cheers
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Sun, 13 May 2012 15:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marko Lerota <mlerota@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Sun, 13 May 2012 15:36:10 GMT) Full text and rfc822 format available.

Message #72 received at 612893@bugs.debian.org (full text, mbox):

From: Marko Lerota <mlerota@gmail.com>
To: 612893@bugs.debian.org
Subject: fluxbox: Keypresses are lost after changing workspaces
Date: Sun, 13 May 2012 17:32:11 +0200
This bug is still present in Fluxbox 1.3.2. Is there any chance that this would
be fixed, or everyone just stat using wmctrl?

--
Marko Lerota




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Sun, 13 May 2012 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Paul R. Tagliamonte" <paultag@fluxbox.org>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Sun, 13 May 2012 15:51:05 GMT) Full text and rfc822 format available.

Message #77 received at 612893@bugs.debian.org (full text, mbox):

From: "Paul R. Tagliamonte" <paultag@fluxbox.org>
To: Marko Lerota <mlerota@gmail.com>, 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Sun, 13 May 2012 11:48:58 -0400
I still can't reproduce this, I'll pass this on again, though.

Thanks for using Fluxbox,
Paul

On Sun, May 13, 2012 at 11:32 AM, Marko Lerota <mlerota@gmail.com> wrote:
> This bug is still present in Fluxbox 1.3.2. Is there any chance that this would
> be fixed, or everyone just stat using wmctrl?
>
> --
> Marko Lerota
>
>
>



-- 
:wq




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Fri, 22 Jun 2012 02:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Compass Net <compassnet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Fri, 22 Jun 2012 02:42:03 GMT) Full text and rfc822 format available.

Message #82 received at 612893@bugs.debian.org (full text, mbox):

From: Compass Net <compassnet@gmail.com>
To: 612893@bugs.debian.org
Subject: fluxbox: Keypresses are lost after changing workspaces
Date: Thu, 21 Jun 2012 23:39:11 -0300
Hello devs.

Straight to the point:

Bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612893
Fluxbox: 1.3.2

Fix (http://pastebin.com/cMwHy3kf):

In ~/.fluxbox/keys section "# change to a specific workspace" modify
"Control" to "Mod4" (I only tested using the Mod4 modifier) so:
Control F1 :Workspace 1 -> Mod4 F1 :SendToWorkspace 1

I haven't tested this change for many days, but it seems the bug has
disappeared. Need more people to test this. :)

Compass.




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Sun, 01 Jul 2012 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Glüpker <andre.gluepker@st.ovgu.de>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Sun, 01 Jul 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #87 received at 612893@bugs.debian.org (full text, mbox):

From: André Glüpker <andre.gluepker@st.ovgu.de>
To: 612893@bugs.debian.org
Cc: "Paul R. Tagliamonte" <paultag@fluxbox.org>
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Sun, 1 Jul 2012 19:33:16 +0200
Hello devs/Paul,

On Sun, 13 May 2012 11:48:58 -0400
"Paul R. Tagliamonte" <paultag@fluxbox.org> wrote:
> I still can't reproduce this, I'll pass this on again, though.

I think I just figured out, what causes this problem.

> void BScreen::keyPressEvent(XKeyEvent &ke) {
>     if (Fluxbox::instance()->keys()->doAction(ke.type, ke.state,
> ke.keycode, Keys::GLOBAL|Keys::ON_DESKTOP))
>         // re-grab keyboard, so we don't pass KeyRelease to clients
>         // also for catching invalid keys in the middle of keychains
>         FbTk::EventManager::instance()->grabKeyboard(rootWindow().window());
> }

If you manage to release the keys (inclusive modifier) before the
workspace-switch completed, the next key(s) will get grabbed instead of
the KeyRelease-Event.

At least I can reproduce this behaviour by hitting the keys really fast
vs. wait a second before releasing them.

Cheers,
André




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Sun, 01 Jul 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to André Glüpker <agluepker@web.de>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Sun, 01 Jul 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #92 received at 612893@bugs.debian.org (full text, mbox):

From: André Glüpker <agluepker@web.de>
To: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Sun, 1 Jul 2012 19:52:08 +0200
> void BScreen::keyPressEvent(XKeyEvent &ke)
Sorry, forgot to mention where to find this snippet.
It's in file "src/Screen.cc" line 789.




Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Fri, 05 Apr 2013 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Terry <netherlight@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Fri, 05 Apr 2013 02:21:04 GMT) Full text and rfc822 format available.

Message #97 received at 612893@bugs.debian.org (full text, mbox):

From: Terry <netherlight@gmail.com>
To: 612893@bugs.debian.org
Subject: Re: Bug#612893: fluxbox: Keypresses are lost after changing workspaces
Date: Thu, 4 Apr 2013 22:18:02 -0400
[Message part 1 (text/plain, inline)]
This is exactly it. If you do it fast enough, then modified keystrokes are
swallowed by fluxbox.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 20 Mar 2014 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Deffontaines <vincent@gryzor.com>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 20 Mar 2014 15:18:04 GMT) Full text and rfc822 format available.

Message #102 received at 612893@bugs.debian.org (full text, mbox):

From: Vincent Deffontaines <vincent@gryzor.com>
To: <612893@bugs.debian.org>
Subject: This bug seems to have a fix
Date: Thu, 20 Mar 2014 16:05:22 +0100
Greetings,

I have been hitting the same bug, too, and confirm it is extremely
annoying.

It seems to me that upstream devs have fixed the bug. According to :
http://sourceforge.net/p/fluxbox/bugs/1067/
The patch is here :
http://sourceforge.net/p/fluxbox/bugs/_discuss/thread/a5fef7c2/8477/attachment/fluxbox-bugfix-1067.diff

I understand it is commited into fluxbox source tree and will be part 
of
1.3.6.

Could please the debian package maintainers integrate this patch into a
1.3.5 update please, at least into unstable ?

Regards,

Vincent





Information forwarded to debian-bugs-dist@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#612893; Package fluxbox. (Thu, 20 Mar 2014 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@fluxbox.org>:
Extra info received and forwarded to list. Copy sent to Dmitry E. Oboukhov <unera@debian.org>. (Thu, 20 Mar 2014 15:27:05 GMT) Full text and rfc822 format available.

Message #107 received at 612893@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@fluxbox.org>
To: Vincent Deffontaines <vincent@gryzor.com>, 612893@bugs.debian.org
Subject: Re: Bug#612893: This bug seems to have a fix
Date: Thu, 20 Mar 2014 11:24:51 -0400
[Message part 1 (text/plain, inline)]
On Thu, Mar 20, 2014 at 04:05:22PM +0100, Vincent Deffontaines wrote:
> I have been hitting the same bug, too, and confirm it is extremely
> annoying.

Most bugs are :)

> It seems to me that upstream devs have fixed the bug. According to :
> http://sourceforge.net/p/fluxbox/bugs/1067/
> The patch is here :
> http://sourceforge.net/p/fluxbox/bugs/_discuss/thread/a5fef7c2/8477/attachment/fluxbox-bugfix-1067.diff


Sure. I remember this one.


> I understand it is commited into fluxbox source tree and will be
> part of
> 1.3.6.

You can't assume that the next version is 1.3.6, it could be 1.4.0 for
all we know :)

> Could please the debian package maintainers

(FWIW, I'm involved in upstream Fluxbox too, this set is not always
distinct...)

> integrate this patch into a 1.3.5 update please, at least into unstable ?

I'll see if I can't fold it in to an upload soon.

> Regards,
> 
> Vincent

Cheers,
  Paul

-- 
:wq
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:24:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.